ephy-shell
3
EPIPHANY Library

# ephy-shell

## Synopsis

    extern              EphyShell *ephy_shell;
    enum                EphyNewTabFlags;
    EphyEmbed *         ephy_shell_new_tab                  (EphyShell *shell,
                                                             EphyWindow *parent_window,
                                                             EphyEmbed *previous_embed,
                                                             const char *url,
                                                             EphyNewTabFlags flags);
    GObject *           ephy_shell_get_session              (EphyShell *shell);
    EphyBookmarks *     ephy_shell_get_bookmarks            (EphyShell *shell);
    GObject *           ephy_shell_get_toolbars_model       (EphyShell *shell,
                                                             gboolean fullscreen);
    GObject *           ephy_shell_get_extensions_manager   (EphyShell *shell);
    GtkWidget *         ephy_shell_get_bookmarks_editor     (EphyShell *shell);
    GtkWidget *         ephy_shell_get_history_window       (EphyShell *shell);
    GObject *           ephy_shell_get_pdm_dialog           (EphyShell *shell);
    GObject *           ephy_shell_get_prefs_dialog         (EphyShell *shell);

## Description

## Details

### ephy_shell

    extern EphyShell *ephy_shell;

### enum EphyNewTabFlags

    typedef enum
    {
    	/* Page types */
    	EPHY_NEW_TAB_HOME_PAGE		= 1 << 0,
    	EPHY_NEW_TAB_NEW_PAGE		= 1 << 1,
    	EPHY_NEW_TAB_OPEN_PAGE		= 1 << 2,

    	/* Page mode */
    	EPHY_NEW_TAB_FULLSCREEN_MODE = 1 << 4,
    	EPHY_NEW_TAB_DONT_SHOW_WINDOW = 1 << 5,

    	/* Tabs */
    	EPHY_NEW_TAB_APPEND_LAST = 1 << 7,
    	EPHY_NEW_TAB_APPEND_AFTER = 1 << 8,
    	EPHY_NEW_TAB_JUMP		= 1 << 9,
    	EPHY_NEW_TAB_IN_NEW_WINDOW = 1 << 10,
    	EPHY_NEW_TAB_IN_EXISTING_WINDOW = 1 << 11,

    	/* The way to load */
    	EPHY_NEW_TAB_ALLOW_FIXUP = 1 << 12,
    	EPHY_NEW_TAB_FROM_EXTERNAL      = 1 << 13,

    } EphyNewTabFlags;

### ephy_shell_new_tab ()

    EphyEmbed *         ephy_shell_new_tab                  (EphyShell *shell,
                                                             EphyWindow *parent_window,
                                                             EphyEmbed *previous_embed,
                                                             const char *url,
                                                             EphyNewTabFlags flags);

Create a new tab and the parent window when necessary. Use this function to open urls in new window/tabs.

ReturnValue: the created EphyEmbed

`shell` :

  a EphyShell

`parent_window` :

  the target EphyWindow or `NULL`

`previous_embed` :

  the referrer embed, or `NULL`

`url` :

  an url to load or `NULL`

`flags` :

Returns :

### ephy_shell_get_session ()

    GObject *           ephy_shell_get_session              (EphyShell *shell);

Returns current session.

`shell` :

  the EphyShell

Returns :

  the current session.

### ephy_shell_get_bookmarks ()

    EphyBookmarks *     ephy_shell_get_bookmarks            (EphyShell *shell);

`shell` :

Returns :

### ephy_shell_get_toolbars_model ()

    GObject *           ephy_shell_get_toolbars_model       (EphyShell *shell,
                                                             gboolean fullscreen);

`shell` :

`fullscreen` :

Returns :

### ephy_shell_get_extensions_manager ()

    GObject *           ephy_shell_get_extensions_manager   (EphyShell *shell);

`shell` :

Returns :

### ephy_shell_get_bookmarks_editor ()

    GtkWidget *         ephy_shell_get_bookmarks_editor     (EphyShell *shell);

`shell` :

Returns :

### ephy_shell_get_history_window ()

    GtkWidget *         ephy_shell_get_history_window       (EphyShell *shell);

`shell` :

Returns :

### ephy_shell_get_pdm_dialog ()

    GObject *           ephy_shell_get_pdm_dialog           (EphyShell *shell);

`shell` :

Returns :

### ephy_shell_get_prefs_dialog ()

    GObject *           ephy_shell_get_prefs_dialog         (EphyShell *shell);

`shell` :

Returns :